#ifndef MSP_NET_SOCKADDR_PRIVATE_H_
#define MSP_NET_SOCKADDR_PRIVATE_H_

#ifdef WIN32
#include <winsock2.h>
#else
#include <sys/socket.h>
#endif
#include "sockaddr.h"

namespace Msp {
namespace Net {

struct SockAddr::SysAddr
{
	struct sockaddr_storage addr;
#ifdef WIN32
	int size;
#else
	socklen_t size;
#endif

	SysAddr();
};

} // namespace Net
} // namespace Msp

#endif
